Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.ui
Class HeadlessToolkit

    java.lang.Object
      de.grogra.pf.ui.UIToolkit
          de.grogra.pf.ui.HeadlessToolkit

    public class HeadlessToolkit

extends UIToolkit

Field Summary

Fields inherited from class de.grogra.pf.ui.UIToolkit
`ABOUT_ICON_SIZE, ALIGNMENT_CENTER, ALIGNMENT_LEADING, ALIGNMENT_TRAILING, CREATE_COMPONENT_WRAPPER_METHOD, EXPLORER_ACTION, FONT_BOLD, FONT_DIALOG, FONT_DIALOG_INPUT, FONT_ITALIC, FONT_MASK, FONT_MONOSPACED, FONT_PLAIN, FONT_SANS_SERIF, FONT_SERIF, FONT_SIZE_MASK, FOR_MENU, FORCE_DIMENSION, MEDIUM_ICON_SIZE, MENU_ICON_SIZE, TOOLBAR_ICON_SIZE, UPDATE_COMPONENT_WRAPPER_METHOD, WINDOW_ICON_SIZE`

Constructor Summary
`HeadlessToolkit()`

Method Summary
`void` | `addComponent(java.lang.Object container, java.lang.Object component, java.lang.Object constraints, int index)`
`Widget` | `createBooleanWidget(boolean forMenu, Map params)`
`java.lang.Object` | `createButton(java.lang.String text, IconSource source, java.awt.Dimension size, int flags, Command cmd, Context ctx)`
`ChartPanel` | `createChartPanel(Context ctx, Map params)`
`Widget` | `createChoiceWidget(javax.swing.ListModel list, boolean forMenu)`
`Widget` | `createColorWidget(Map params)`
`ComponentWrapper` | `createComponentMenu(UITree componentTree)`
`ComponentWrapper` | `createComponentTree(UITree componentTree)`
`Console` | `createConsole(Context context, Map params)`
`java.lang.Object` | `createContainer(float[] weights, int gap)`
`java.lang.Object` | `createContainer(int gap)`
`java.lang.Object` | `createContainer(int rows, int cols, int gap)`
`java.lang.Object` | `createLabel(java.lang.String text, IconSource icon, java.awt.Dimension size, int flags)`
`java.lang.Object` | `createLabeledComponent(java.lang.Object component, java.lang.Object label)`
`Widget` | `createNumericWidget(Type type, Quantity quantity, Map params)`
`Panel` | `createPanel(Context ctx, Disposable toDispose, Map params)`
`java.lang.Object` | `createScrollPane(java.lang.Object view)`
`java.lang.Object` | `createSplitContainer(int orientation)`
`Panel` | `createStatusBar(Context context, Map params)`
`Widget` | `createStringWidget(Map params)`
`java.lang.Object` | `createTabbedPane(java.lang.String[] titles, java.lang.Object[] components)`
`ComponentWrapper` | `createTable(javax.swing.table.TableModel table, Context ctx)`
`TextEditor` | `createTextEditor(Context context, Map params)`
`java.lang.Object` | `createTextViewer(java.net.URL url, java.lang.String mimeType, java.lang.String content, Command hyperlink, boolean asBrowser)`
`Panel` | `createToolBar(Context context, Map params)`
`ComponentWrapper` | `createTree(UITree tree)`
`Widget` | `createTreeChoiceWidget(UITree tree)`
`ComponentWrapper` | `createTreeInSplit(UITree tree, java.lang.Object split)`
`Panel` | `createViewerPanel(Context ctx, java.net.URL url, Map params)`
`Window` | `createWindow(Command close, Map params)`
`java.lang.Object` | `getComponent(java.lang.Object container, int index)`
`int` | `getComponentCount(java.lang.Object container)`
`int` | `getHeight(java.lang.Object component)`
`java.awt.Point` | `getLocationOnScreen(java.lang.Object component)`
`java.lang.Object` | `getParent(java.lang.Object component)`
`int` | `getSelectedRow(ComponentWrapper table)`
`javax.swing.table.TableModel` | `getTable(ComponentWrapper table)`
`java.lang.Object` | `getTextViewerComponent(Panel viewerPanel)`
`int` | `getWidth(java.lang.Object component)`
`int` | `indexOf(java.lang.Object component)`
`void` | `removeComponent(java.lang.Object component)`
`void` | `repaint(java.lang.Object component)`
`void` | `revalidate(java.lang.Object component)`
`java.lang.Object` | `setBorder(java.lang.Object component, int gap)`
`void` | `setContent(java.lang.Object textViewer, java.lang.String mimeType, java.lang.String content)`
`void` | `setContent(java.lang.Object textViewer, java.net.URL content)`
`void` | `showPopupMenu(UITree menu, java.lang.Object component, int x, int y)`

Methods inherited from class de.grogra.pf.ui.UIToolkit
`addComponent, createAbout, createButton, createButton, createButton, createButton, createButton, createLabel, createLabel, createLabel, createLabel, createLogViewer, createViewerPanel, dispose, get, getFirstMatching, getFirstMatching`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HeadlessToolkit

    public HeadlessToolkit()

Method Detail

### addComponent

    public void addComponent(java.lang.Object container,
                             java.lang.Object component,
                             java.lang.Object constraints,
                             int index)

  Specified by:
    `addComponent` in class `UIToolkit`

### createBooleanWidget

    public Widget createBooleanWidget(boolean forMenu,
                                      Map params)

  Specified by:
    `createBooleanWidget` in class `UIToolkit`

### createButton

    public java.lang.Object createButton(java.lang.String text,
                                         IconSource source,
                                         java.awt.Dimension size,
                                         int flags,
                                         Command cmd,
                                         Context ctx)

  Specified by:
    `createButton` in class `UIToolkit`

### createChartPanel

    public ChartPanel createChartPanel(Context ctx,
                                       Map params)

  Specified by:
    `createChartPanel` in class `UIToolkit`

### createChoiceWidget

    public Widget createChoiceWidget(javax.swing.ListModel list,
                                     boolean forMenu)

  Specified by:
    `createChoiceWidget` in class `UIToolkit`

### createColorWidget

    public Widget createColorWidget(Map params)

  Specified by:
    `createColorWidget` in class `UIToolkit`

### createComponentMenu

    public ComponentWrapper createComponentMenu(UITree componentTree)

  Specified by:
    `createComponentMenu` in class `UIToolkit`

### createComponentTree

    public ComponentWrapper createComponentTree(UITree componentTree)

  Specified by:
    `createComponentTree` in class `UIToolkit`

### createConsole

    public Console createConsole(Context context,
                                 Map params)

  Specified by:
    `createConsole` in class `UIToolkit`

### createContainer

    public java.lang.Object createContainer(float[] weights,
                                            int gap)

  Specified by:
    `createContainer` in class `UIToolkit`

### createContainer

    public java.lang.Object createContainer(int gap)

  Specified by:
    `createContainer` in class `UIToolkit`

### createContainer

    public java.lang.Object createContainer(int rows,
                                            int cols,
                                            int gap)

  Specified by:
    `createContainer` in class `UIToolkit`

### createLabel

    public java.lang.Object createLabel(java.lang.String text,
                                        IconSource icon,
                                        java.awt.Dimension size,
                                        int flags)

  Specified by:
    `createLabel` in class `UIToolkit`

### createLabeledComponent

    public java.lang.Object createLabeledComponent(java.lang.Object component,
                                                   java.lang.Object label)

  Specified by:
    `createLabeledComponent` in class `UIToolkit`

### createNumericWidget

    public Widget createNumericWidget(Type type,
                                      Quantity quantity,
                                      Map params)

  Specified by:
    `createNumericWidget` in class `UIToolkit`

### createPanel

    public Panel createPanel(Context ctx,
                             Disposable toDispose,
                             Map params)

  Specified by:
    `createPanel` in class `UIToolkit`

### createScrollPane

    public java.lang.Object createScrollPane(java.lang.Object view)

  Specified by:
    `createScrollPane` in class `UIToolkit`

### createSplitContainer

    public java.lang.Object createSplitContainer(int orientation)

  Specified by:
    `createSplitContainer` in class `UIToolkit`

### createStatusBar

    public Panel createStatusBar(Context context,
                                 Map params)

  Specified by:
    `createStatusBar` in class `UIToolkit`

### createStringWidget

    public Widget createStringWidget(Map params)

  Specified by:
    `createStringWidget` in class `UIToolkit`

### createTabbedPane

    public java.lang.Object createTabbedPane(java.lang.String[] titles,
                                             java.lang.Object[] components)

  Specified by:
    `createTabbedPane` in class `UIToolkit`

### createTable

    public ComponentWrapper createTable(javax.swing.table.TableModel table,
                                        Context ctx)

  Specified by:
    `createTable` in class `UIToolkit`

### createTextEditor

    public TextEditor createTextEditor(Context context,
                                       Map params)

  Specified by:
    `createTextEditor` in class `UIToolkit`

### createTextViewer

    public java.lang.Object createTextViewer(java.net.URL url,
                                             java.lang.String mimeType,
                                             java.lang.String content,
                                             Command hyperlink,
                                             boolean asBrowser)

  Specified by:
    `createTextViewer` in class `UIToolkit`

### createToolBar

    public Panel createToolBar(Context context,
                               Map params)

  Specified by:
    `createToolBar` in class `UIToolkit`

### createTree

    public ComponentWrapper createTree(UITree tree)

  Specified by:
    `createTree` in class `UIToolkit`

### createTreeChoiceWidget

    public Widget createTreeChoiceWidget(UITree tree)

  Specified by:
    `createTreeChoiceWidget` in class `UIToolkit`

### createTreeInSplit

    public ComponentWrapper createTreeInSplit(UITree tree,
                                              java.lang.Object split)

  Specified by:
    `createTreeInSplit` in class `UIToolkit`

### createViewerPanel

    public Panel createViewerPanel(Context ctx,
                                   java.net.URL url,
                                   Map params)

  Specified by:
    `createViewerPanel` in class `UIToolkit`

### createWindow

    public Window createWindow(Command close,
                               Map params)

  Specified by:
    `createWindow` in class `UIToolkit`

### getComponent

    public java.lang.Object getComponent(java.lang.Object container,
                                         int index)

  Specified by:
    `getComponent` in class `UIToolkit`

### getComponentCount

    public int getComponentCount(java.lang.Object container)

  Specified by:
    `getComponentCount` in class `UIToolkit`

### getHeight

    public int getHeight(java.lang.Object component)

  Specified by:
    `getHeight` in class `UIToolkit`

### getLocationOnScreen

    public java.awt.Point getLocationOnScreen(java.lang.Object component)

  Specified by:
    `getLocationOnScreen` in class `UIToolkit`

### getParent

    public java.lang.Object getParent(java.lang.Object component)

  Specified by:
    `getParent` in class `UIToolkit`

### getSelectedRow

    public int getSelectedRow(ComponentWrapper table)

  Specified by:
    `getSelectedRow` in class `UIToolkit`

### getTable

    public javax.swing.table.TableModel getTable(ComponentWrapper table)

  Specified by:
    `getTable` in class `UIToolkit`

### getTextViewerComponent

    public java.lang.Object getTextViewerComponent(Panel viewerPanel)

  Specified by:
    `getTextViewerComponent` in class `UIToolkit`

### getWidth

    public int getWidth(java.lang.Object component)

  Specified by:
    `getWidth` in class `UIToolkit`

### indexOf

    public int indexOf(java.lang.Object component)

  Specified by:
    `indexOf` in class `UIToolkit`

### removeComponent

    public void removeComponent(java.lang.Object component)

  Specified by:
    `removeComponent` in class `UIToolkit`

### repaint

    public void repaint(java.lang.Object component)

  Specified by:
    `repaint` in class `UIToolkit`

### revalidate

    public void revalidate(java.lang.Object component)

  Specified by:
    `revalidate` in class `UIToolkit`

### setBorder

    public java.lang.Object setBorder(java.lang.Object component,
                                      int gap)

  Specified by:
    `setBorder` in class `UIToolkit`

### setContent

    public void setContent(java.lang.Object textViewer,
                           java.lang.String mimeType,
                           java.lang.String content)

  Specified by:
    `setContent` in class `UIToolkit`

### setContent

    public void setContent(java.lang.Object textViewer,
                           java.net.URL content)

  Specified by:
    `setContent` in class `UIToolkit`

### showPopupMenu

    public void showPopupMenu(UITree menu,
                              java.lang.Object component,
                              int x,
                              int y)

  Specified by:
    `showPopupMenu` in class `UIToolkit`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD